net.sf.cglib.transform.impl

## Class UndeclaredThrowableTransformer

- java.lang.Object
- - ClassVisitor
  - - net.sf.cglib.transform.ClassTransformer
    - - net.sf.cglib.core.ClassEmitter
      - - net.sf.cglib.transform.ClassEmitterTransformer
        - - net.sf.cglib.transform.impl.UndeclaredThrowableTransformer

-     public class UndeclaredThrowableTransformer
      extends ClassEmitterTransformer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UndeclaredThrowableTransformer(java.lang.Class wrapper)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CodeEmitter` | `begin_method(int access, Signature sig, Type[] exceptions)`

    - ### Methods inherited from class net.sf.cglib.core.ClassEmitter

      `begin_class, begin_static, declare_field, end_class, getAccess, getClassInfo, getClassType, getStaticHook, getSuperType, setTarget, visit, visitEnd, visitField, visitMethod`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UndeclaredThrowableTransformer

          public UndeclaredThrowableTransformer(java.lang.Class wrapper)

  - ### Method Detail

    - #### begin_method

          public CodeEmitter begin_method(int access,
                                 Signature sig,
                                 Type[] exceptions)

      Overrides:
        `begin_method` in class `ClassEmitter`

Copyright (c) 2001 - Apache Software Foundation